io.undertow.server.handlers.form

## Class MultiPartParserDefinition.FileTooLargeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.server.handlers.form.MultiPartParserDefinition.FileTooLargeException

All Implemented Interfaces:
  Serializable

Enclosing class:
  MultiPartParserDefinition

    public static class MultiPartParserDefinition.FileTooLargeException
    extends IOException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileTooLargeException()`
`FileTooLargeException(String message)`
`FileTooLargeException(String message, Throwable cause)`
`FileTooLargeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileTooLargeException

    public FileTooLargeException()

#### FileTooLargeException

    public FileTooLargeException(String message)

#### FileTooLargeException

    public FileTooLargeException(String message,
                                 Throwable cause)

#### FileTooLargeException

    public FileTooLargeException(Throwable cause)